trunk build 1676

Revision r21254 (build 1676 started on 2021-10-21T06:31:09Z)


originally caused by:
 Started by an SCM change
Building in workspace /var/lib/jenkins/workspace/trunk/DATABASE_ADAPTER/sqlite3/RUBY_VER/ruby-2.6
Updating http://svn.redmine.org/redmine/trunk at revision '2021-10-20T23:31:09.635 -0700'
U         app/models/wiki_annotate.rb
U         .rubocop_todo.yml
At revision 21254

[ruby-2.6] $ /bin/sh -xe /tmp/jenkins3740856672399068047.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games rake -f lib/tasks/ci.rake config/database.yml BRANCH=trunk
[ruby-2.6] $ /bin/sh -xe /tmp/jenkins3634672933411357670.sh
+ PATH=/var/lib/jenkins/ruby/ruby-2.6/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games bundle update
The dependency tzinfo-data (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
The dependency ffi (>= 0) will be unused by any of the platforms Bundler is installing for. Bundler is installing for ruby but the dependency is only for x86-mingw32, x64-mingw32, x86-mswin32. To add those platforms to the bundle, run `bundle lock --add-platform x86-mingw32 x64-mingw32 x86-mswin32`.
Fetching gem metadata from https://rubygems.org/..........
Fetching gem metadata from https://rubygems.org/.
Resolving dependencies.....
Using rake 13.0.6
Using concurrent-ruby 1.1.9
Using i18n 1.8.10
Using minitest 5.14.4
Using tzinfo 2.0.4
Using zeitwerk 2.5.1 (was 2.4.2)
Using activesupport 6.1.4.1
Using builder 3.2.4
Using erubi 1.10.0
Using mini_portile2 2.6.1
Using racc 1.6.0 (was 1.5.2)
Using nokogiri 1.12.5 (x86-linux)
Using rails-dom-testing 2.0.3
Using crass 1.0.6
Using loofah 2.12.0
Using rails-html-sanitizer 1.4.2
Using actionview 6.1.4.1
Using rack 2.2.3
Using rack-test 1.1.0
Using actionpack 6.1.4.1
Using nio4r 2.5.8
Using websocket-extensions 0.1.5
Using websocket-driver 0.7.5
Using actioncable 6.1.4.1
Using globalid 0.4.2
Using activejob 6.1.4.1
Using activemodel 6.1.4.1
Using activerecord 6.1.4.1
Using marcel 1.0.2
Using mini_mime 1.1.2 (was 1.1.1)
Using activestorage 6.1.4.1
Using mail 2.7.1
Using actionmailbox 6.1.4.1
Using actionmailer 6.1.4.1
Using method_source 1.0.0
Using thor 1.1.0
Using railties 6.1.4.1
Using actionpack-xml_parser 2.0.1
Using actiontext 6.1.4.1
Using public_suffix 4.0.6
Using addressable 2.8.0
Using ast 2.4.2
Using bundler 1.17.1
Using regexp_parser 2.1.1
Using xpath 3.2.0
Using capybara 3.35.3
Using childprocess 4.1.0 (was 3.0.0)
Using chunky_png 1.4.0
Using ruby-enum 0.9.0
Using commonmarker 0.21.0
Using css_parser 1.10.0
Using csv 3.2.0
Using docile 1.4.0
Using html-pipeline 2.13.2
Using htmlentities 4.3.4
Using mini_magick 4.11.0
Using mocha 1.13.0
Using net-ldap 0.17.0
Using parallel 1.21.0
Using parser 3.0.2.0
Using puma 5.5.2 (was 5.5.0)
Using ruby-openid 2.9.2
Using rack-openid 1.4.2
Using sprockets 4.0.2
Using sprockets-rails 3.2.2
Using rails 6.1.4.1
Using rainbow 3.0.0
Using rbpdf-font 1.19.1
Using rbpdf 1.20.1
Using redcarpet 3.5.1
Using request_store 1.5.0
Using rexml 3.2.5
Using roadie 4.0.0
Using roadie-rails 2.2.0
Using rotp 6.2.0
Using rouge 3.26.1
Using rqrcode_core 1.2.0
Using rqrcode 2.1.0
Using rubocop-ast 1.12.0
Using ruby-progressbar 1.11.0
Using unicode-display_width 2.1.0
Using rubocop 1.17.0
Using rubocop-performance 1.11.5
Using rubocop-rails 2.11.3
Using rubyzip 2.3.2
Using sanitize 6.0.0
Fetching selenium-webdriver 4.0.3 (was 3.142.7)
Installing selenium-webdriver 4.0.3 (was 3.142.7)
Gem::RuntimeRequirementNotMetError: selenium-webdriver requires Ruby version >=
2.6. The current ruby version is 2.6.0.rc1.
An error occurred while installing selenium-webdriver (4.0.3), and Bundler
cannot continue.
Make sure that `gem install selenium-webdriver -v '4.0.3' --source
'https://rubygems.org/'` succeeds before bundling.

In Gemfile:
  webdrivers was resolved to 4.7.0, which depends on
    selenium-webdriver
Build step 'Execute shell' marked build as failure
Finished: FAILURE